<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Request Fund</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Request Fund
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transaction</li>
        <li class="active"> Request Fund</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-3">
            <a th:href="@{/transaksi/pengajuandana/baru}" class="btn btn-primary btn-block margin-bottom">New Request Fund</a>

            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Folders</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li><a th:href="@{/transaksi/pengajuandana}"><i class="fa fa-inbox"></i>  Current Request
                            <span th:if="${jumlahPengajuanDanaWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahPengajuanDanaWaiting}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/approved}"><i class="fa fa-inbox"></i>  Approved
                            <span th:if="${jumlahPengajuanDanaApproved} > 0" class="label label-success pull-right" th:text="${jumlahPengajuanDanaApproved}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/rejectedlist}"><i class="fa fa-inbox"></i>  Rejected
                            <span th:if="${jumlahPengajuanDanaRejected} > 0" class="label label-danger pull-right" th:text="${jumlahPengajuanDanaRejected}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/disbursment}"><i class="fa fa-inbox"></i>  Ready to Disburse
                            <span th:if="${jumlahDisbursement} > 0" class="label label-primary pull-right" th:text="${jumlahDisbursement}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/already/disbursment}"><i class="fa fa-inbox"></i>  Disbursed Fund
                            <span th:if="${jumlahAlreadyDisbursement} > 0" class="label label-success pull-right" th:text="${jumlahAlreadyDisbursement}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/laporan}"><i class="fa fa-envelope-o"></i> Unreported
                            <span th:if="${jumlahUnreported} > 0" class="label label-danger pull-right" th:text="${jumlahUnreported}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/laporanwaiting}"><i class="fa fa-envelope-o"></i> Reported / Unconfirmed
                            <span th:if="${jumlahReportedWaiting} > 0" class="label label-warning pull-right" th:text="${jumlahReportedWaiting}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/laporanrejected}"><i class="fa fa-envelope-o"></i> Reported / Rejected
                            <span th:if="${jumlahReportedRejected} > 0" class="label label-danger pull-right" th:text="${jumlahReportedRejected}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/closed}"><i class="fa fa-envelope-o"></i> Closed
                            <span th:if="${jumlahClosed} > 0" class="label label-default pull-right" th:text="${jumlahClosed}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/waitingrefund}"><i class="fa fa-envelope-o"></i> Waiting For Refund
                            <span th:if="${jumlahWaitingRefund} > 0" class="label label-danger pull-right" th:text="${jumlahWaitingRefund}">12</span></a></li>
                        <li><a th:href="@{/transaksi/pengajuandana/refund}"><i class="fa fa-envelope-o"></i> Refund
                            <span th:if="${jumlahRefund} > 0" class="label label-success pull-right" th:text="${jumlahRefund}">12</span></a></li>
                        <li class="active"><a th:href="@{/transaksi/pengajuandana/refundclose}"><i class="fa fa-envelope-o"></i> Refund Closed
                            <span th:if="${jumlahRefundClosed} > 0" class="label label-danger pull-right" th:text="${jumlahRefundClosed}">12</span></a></li>

                        <li><a th:href="@{/transaksi/pengajuandana/all}"><i class="fa fa-trash-o"></i> All</a></li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>

        </div>
        <!-- /.col -->
        <div class="col-md-9">
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#waiting" data-toggle="tab">Request</a></li>
                </ul>
                <div class="tab-content">

                    <div class="active tab-pane" id="waiting">
                        <div class="box-header clearfix">
                            <div class="row">
                                <div class="col-md-8">
                                    <button type="button" class="btn btn-info" data-toggle="modal" data-target="#modal-filter">
                                        Filter
                                    </button>
                                    <a type="button" class="btn btn-info" th:href="@{/keuangan/pencairan}">
                                        Clear
                                    </a>
                                </div>

                                <form method="get">

                                    <div class="modal modal-primary fade" id="modal-filter">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span></button>
                                                    <h4 class="modal-title">Filtering</h4>
                                                </div>
                                                <div class="modal-body">

                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="form-group">
                                                                <label for="range" class="col-sm-2 control-label">Range </label>

                                                                <div class="col-sm-8">
                                                                    <div class="input-group">
                                                                        <div class="input-group-addon">
                                                                            <i class="fa fa-calendar"></i>
                                                                        </div>
                                                                        <input type="text" class="form-control pull-right" id="range" th:value="${range}" name="range">
                                                                    </div>
                                                                </div>
                                                                <!-- /.input group -->
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">


                                                    </div>

                                                </div>
                                                <div class="modal-footer">
                                                    <button type="submit" class="btn btn-outline">confirm</button>
                                                </div>
                                            </div>
                                            <!-- /.modal-content -->
                                        </div>
                                        <!-- /.modal-dialog -->
                                    </div>

                                    <div class="col-md-4" align="right">
                                        <div class="form-group">
                                            <select class="form-control" name="urutan" id="urutan" style="width: 100%;" onchange="submit()">
                                                <option th:each="data : ${listSorting}"
                                                        th:selected="(${data} == *{selectedSorting})"
                                                        th:text="${data.nama}"
                                                        th:value="${data.id}">sdasd
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>

                        </div>
                        <div class="box-body clearfix">
                            <div class="row" th:each="dataApprovalRefund,row : ${listRefund}">
                                <div class="col-md-12">
                                    <div class="box box-success box-solid">
                                        <div class="box-header with-border">
                                            <div class="col-md-6">
                                                <span class="info-box-text"><b th:text="${dataApprovalRefund[12]}">Support Team</b> <span><b th:text="${'( '+dataApprovalRefund[13]+' )'}"></b> </span></span>
                                            </div>
                                            <div class="col-md-6" align="right">
                                                <span class="time" th:text="${dataApprovalRefund[14]}"><i class="fa fa-clock-o"></i> 12:05</span>
                                            </div>
                                        </div>
                                        <!-- /.box-header -->
                                        <div class="box-body">

                                            <div class="col-md-12">
                                                <table class="table table-bordered">
                                                    <tr>
                                                        <td>
                                                            <a th:if="${dataApprovalRefund[6]} == 'default.jpg'" class="btn btn-danger btn-xs">
                                                                No Attachment
                                                            </a>
                                                            <a th:if="${dataApprovalRefund[6]} != 'default.jpg'" class="btn btn-primary btn-xs" th:href="@{/pengembalianDanaProses/{pengembalianDanaProses}/bukti/(pengembalianDanaProses = ${dataApprovalRefund[0]})}" target="_blank">
                                                                View Attachment
                                                            </a>
                                                        </td>
                                                        <td align="right" >
                                                            <b th:text="${'Total Refund : Rp. ' + #numbers.formatDecimal(dataApprovalRefund[5], 0, 'POINT', 2, 'COMMA')}"></b>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2" align="center"><b>Detail Refund</b></td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="2">
                                                            <table class="table table-bordered">
                                                                <tr>
                                                                    <th>No</th>
                                                                    <th>Dishburse Date</th>
                                                                    <th>From</th>
                                                                    <th>Disburse</th>
                                                                    <th>Refund</th>
                                                                </tr>
                                                                <tr th:each="dataApprovalRefundDetail,row : ${listRefundDetail}">
                                                                    <td th:if="${dataApprovalRefundDetail[0] == dataApprovalRefund[0]}" th:text="${row.index + 1}">></td>
                                                                    <td th:if="${dataApprovalRefundDetail[0] == dataApprovalRefund[0]}" th:text="${dataApprovalRefundDetail[11]}"></td>
                                                                    <td th:if="${dataApprovalRefundDetail[0] == dataApprovalRefund[0]}" th:text="${dataApprovalRefundDetail[22]}">></td>
                                                                    <td align="right" th:if="${dataApprovalRefundDetail[0] == dataApprovalRefund[0]}" th:text="${#numbers.formatDecimal(dataApprovalRefundDetail[15], 0, 'POINT', 2, 'COMMA')}">></td>
                                                                    <td align="right" th:if="${dataApprovalRefundDetail[0] == dataApprovalRefund[0]}" th:text="${#numbers.formatDecimal(dataApprovalRefundDetail[23], 0, 'POINT', 2, 'COMMA')}">></td>
                                                                </tr>
                                                            </table>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>

                                            <div class="col-md-12" align="right">

                                                <span class="info-box-text" th:text="${'Refund Approved By : ' + dataApprovalRefund[15] + ' at ' + dataApprovalRefund[16]}"></span>
<!--                                                <div class="btn-group">-->
<!--                                                    <a class="btn btn-success btn-xs" th:href="@{/keuangan/pencairan/approve_refund(pengembalianDanaProses=${dataApprovalRefund[0]})}">Approve</a>-->
<!--                                                </div>-->
<!--                                                <div class="btn-group">-->
<!--                                                    <button type="button" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#modal-reject" th:attr="data-target='#modal-reject'+${dataApprovalRefund[0]}">-->
<!--                                                        Reject-->
<!--                                                    </button>-->
<!--                                                </div>-->
                                            </div>

                                        </div>
                                        <!-- /.box-body -->
                                    </div>
                                    <!-- /.box -->
                                </div>
                            </div>
                        </div>

                        <div class="box-footer clearfix">
                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </div>



                    </div>




                    <!-- /.tab-pane -->
                </div>
                <!-- /.tab-content -->
            </div>
            <!-- /.nav-tabs-custom -->

        </div>

    </div>






</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>


    <script th:inline="javascript" type="text/javascript">

        function openReservationModal(id) {


            $.ajax({
                url: "/reservations/details/"+id,
                success: function(data) {
                    console.log(data);
                    $("#modalHolder").html(data);
                    $("#reservationModal").modal("show");
                }
            });

        }
    </script>
</section>
</body>
</html>